Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.quick
Class QPE

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.xml.sax.SAXException
                        |
                        +--org.xml.sax.SAXParseException
                              |
                              +--com.jxml.quick.QPE

All Implemented Interfaces:
  Serializable

public class QPE
extends SAXParseException

See Also:
  Serialized Form

Constructor Summary
`QPE(Exception exception, QContext context)`
`QPE(SAXParseException e, QContext context)`
`QPE(String message, QContext context)`
`QPE(String message, String publicId, String systemId, int lineNumber, int columnNumber)`

Method Summary
`void` | `display()` Display QPE Exception
`static void` | `display(Exception e)` Display Exception
`static void` | `display(SAXParseException e)` Display Exception

Methods inherited from class org.xml.sax.SAXParseException
`getColumnNumber, getLineNumber, getPublicId, getSystemId`

Methods inherited from class org.xml.sax.SAXException
`getException, getMessage, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### QPE

    public QPE(String message,
               QContext context)

### QPE

    public QPE(String message,
               String publicId,
               String systemId,
               int lineNumber,
               int columnNumber)

### QPE

    public QPE(SAXParseException e,
               QContext context)

### QPE

    public QPE(Exception exception,
               QContext context)

Method Detail

### display

    public void display()

  Display QPE Exception

### display

    public static void display(SAXParseException e)

  Display Exception

### display

    public static void display(Exception e)

  Display Exception

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD